GHSA-r346-rmrg-qpgh

Suggest an improvement
Source
https://github.com/advisories/GHSA-r346-rmrg-qpgh
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-r346-rmrg-qpgh/GHSA-r346-rmrg-qpgh.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-r346-rmrg-qpgh
Aliases
  • CVE-2016-6347
Published
2022-05-17T02:48:28Z
Modified
2023-11-08T03:58:32.557045Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
Improper Neutralization of Input During Web Page Generation in RESTEasy
Details

Cross-site scripting (XSS) vulnerability in the default exception handler in RESTEasy allows remote attackers to inject arbitrary web script or HTML via unspecified vectors.

References

Affected packages

Maven / org.jboss.resteasy:resteasy-client

Package

Name
org.jboss.resteasy:resteasy-client
View open source insights on deps.dev
Purl
pkg:maven/org.jboss.resteasy/resteasy-client

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.0.20.Final

Affected versions

1.*

1.0-beta-6
1.0-beta-7
1.0-beta-8

3.*

3.0-beta-1
3.0-beta-2
3.0-beta-3
3.0-beta-4
3.0-beta-5
3.0-beta-6
3.0-rc-1
3.0.0.Final
3.0.1.Final
3.0.2.Final
3.0.3.Final
3.0.4.Final
3.0.5.Final
3.0.6.Final
3.0.7.Final
3.0.8.Final
3.0.9.Final
3.0.10.Final
3.0.11.Final
3.0.12.Final
3.0.13.Final
3.0.14.Final
3.0.15.Final
3.0.16.Final
3.0.17.Final
3.0.18.Final
3.0.19.Final

Database specific

{
    "last_known_affected_version_range": "<= 3.0.19.Final"
}

Maven / org.jboss.resteasy:resteasy-client

Package

Name
org.jboss.resteasy:resteasy-client
View open source insights on deps.dev
Purl
pkg:maven/org.jboss.resteasy/resteasy-client

Affected ranges

Type
ECOSYSTEM
Events
Introduced
3.1.0.Beta1
Fixed
3.1.0.CR1

Affected versions

3.*

3.1.0.Beta1
3.1.0.Beta2

Database specific

{
    "last_known_affected_version_range": "<= 3.1.0.Beta2"
}